/* regex.h
 */

/* SPDX-FileCopyrightText: 1995,1996 Sascha Demetrio
 * SPDX-FileCopyrightText: 2009, 2015 Peter Pentchev
 * SPDX-License-Identifier: BSD-3-Clause
 */

#ifndef _REGEX_H_
#define _REGEX_H_

extern const char *rx_error_msg[];
extern int rx_error;
extern volatile int *rx_interrupt;
extern int rx_nomagic;
extern int rx_allmagic;
extern int rx_special_nl;
extern long rx_maxmatch;

  long
regex_search(long *, long, long, long, int, char **, long *, long *);

  int
regex_match(long *, long, char **, long *, long *);

  long *
regex_compile(const char *, const char *);

  int
regex_init(long (*)(char *, long), long (*)(long), long (*)(void));

  int
regex_reset(void);

#endif

/* end of regex.h */


/* VIM configuration: (do not delete this line)
 *
 * vim:bk:nodg:efm=%f\:%l\:%m:hid:icon:
 * vim:sw=2:sm:textwidth=79:ul=1024:wrap:
 */
